<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class AddKamadToUserRoleEnum extends Migration
{
    public function up()
    {
        $this->db->query("ALTER TABLE `users` MODIFY COLUMN `role` ENUM('superadmin','admin','operator','guru','tata_usaha','siswa','kamad') NOT NULL DEFAULT 'operator'");
    }

    public function down()
    {
        $this->db->query("ALTER TABLE `users` MODIFY COLUMN `role` ENUM('superadmin','admin','operator','guru','tata_usaha','siswa') NOT NULL DEFAULT 'operator'");
    }
}
